---
title: Chef Habitat 0.75.0 Released
date: 2019-02-20
author: Scott Macfarlane
tags: release notes
category: product
classes: body-article
---

Habitat 0.75.0 Release Notes

We are happy to announce the release of Chef Habitat 0.75.0. We have a number of new features as well
as bug fixes, so please read on for all the details. If you just want the binaries, head on over to
[Install Chef Habitat](https://www.habitat.sh/docs/using-habitat/#install-habitat).

Highlights

#### Improvements to 'hab bldr job status'

We recently added the ability to build Windows packages on [Builder](https://forums.habitat.sh/t/announcing-windows-builds-support-in-habitat-builder/1003)! 
`hab bldr job status` will now report the Package Target (x86_64-linux, x86_64-windows) of the build group. 
This improves the usability of the command when introducing a change that results in builds for more than one Package Target. 
 
#### Subdirectory support in Plan 'config'

A frequent request is support for subdirectories in the `config` directory for a service packaged with Chef Habitat. 
[#6066](https://github.com/habitat-sh/habitat/pull/6066) introduces support for this capability. This allows you to 
structure configuration for your software in the way it expects.

#### Chef Habitat Launcher: New Version Released, Please Update

This release of Chef Habitat includes a new release of the Launcher, a small binary that the Supervisor uses 
to help manage its supervised processes. Whereas the Supervisor is able to automatically update itself, 
the Launcher is currently released a bit differently, by design; it should be rare that the Launcher ever 
needs to change. To update your Launchers, you will need to run hab pkg install core/hab-launcher on each 
machine that has a Supervisor, and then restart your Supervisor. This will, by necessity, require a restart 
of supervised services, so factor that into your planning.

Thanks again for using Chef Habitat!

---
Full Changelog:

#### Bug Fixes
- ensure install hooks do not run from cli if feature is not enabled [#6142](https://github.com/habitat-sh/habitat/pull/6142) ([mwrock](https://github.com/mwrock))
- Fix BoxKeyPair::encrypt return type [#6116](https://github.com/habitat-sh/habitat/pull/6116) ([baumanj](https://github.com/baumanj))
- include HAB_FEAT_INSTALL_HOOK in docker studio env_vars [#6138](https://github.com/habitat-sh/habitat/pull/6138) ([mwrock](https://github.com/mwrock))
- Don&#39;t copy the entire member list when choosing PingReq values [#6097](https://github.com/habitat-sh/habitat/pull/6097) ([baumanj](https://github.com/baumanj))
- if the studio is rooted immediately under the system drive, do not try to delete it [#6102](https://github.com/habitat-sh/habitat/pull/6102) ([mwrock](https://github.com/mwrock))
- use temp dir scoped to current build to avoid failures when building multiple builds [#6106](https://github.com/habitat-sh/habitat/pull/6106) ([mwrock](https://github.com/mwrock))
- generate api docs for windows http gateway [#6098](https://github.com/habitat-sh/habitat/pull/6098) ([mwrock](https://github.com/mwrock))
- Remove txn_id from Launcher protocol [#6156](https://github.com/habitat-sh/habitat/pull/6156) ([christophermaier](https://github.com/christophermaier))
- adding HAB_CRYPTO_KEY to hab build [#6166](https://github.com/habitat-sh/habitat/pull/6166) ([mwrock](https://github.com/mwrock))

#### New Features & Enhancements
- Adds printing of target in job status output [#6151](https://github.com/habitat-sh/habitat/pull/6151) ([eeyun](https://github.com/eeyun))
- Support for recursive subdirectories for config. [#6066](https://github.com/habitat-sh/habitat/pull/6066) ([jamesc](https://github.com/jamesc))
- Run health check in the first tick after service load [#6109](https://github.com/habitat-sh/habitat/pull/6109) ([jaym](https://github.com/jaym))

#### Merged Pull Requests
- Add buildkite based verification pipeline [#6085](https://github.com/habitat-sh/habitat/pull/6085) ([scotthain](https://github.com/scotthain))
- [docs] Update CLI reference for 0.74.0 release. [#6127](https://github.com/habitat-sh/habitat/pull/6127) ([fnichol](https://github.com/fnichol))
- Remove composites handing [#6088](https://github.com/habitat-sh/habitat/pull/6088) ([jamesc](https://github.com/jamesc))
- update windows-service blog to reflect recent changes [#6089](https://github.com/habitat-sh/habitat/pull/6089) ([mwrock](https://github.com/mwrock))
- Bump VERSION to 0.75.0-dev. [#6126](https://github.com/habitat-sh/habitat/pull/6126) ([fnichol](https://github.com/fnichol))
- Fix verification pipeline [#6152](https://github.com/habitat-sh/habitat/pull/6152) ([scotthain](https://github.com/scotthain))
- Release 0.74.0 blog post! [#6124](https://github.com/habitat-sh/habitat/pull/6124) ([fnichol](https://github.com/fnichol))
- Add build/publish of Windows Docker Studio to release pipeline [#6165](https://github.com/habitat-sh/habitat/pull/6165) ([smacfarlane](https://github.com/smacfarlane))
- Add windows-service build to release pipeline. [#6167](https://github.com/habitat-sh/habitat/pull/6167) ([smacfarlane](https://github.com/smacfarlane))
- Update release pipeline to new queue name for windows docker [#6154](https://github.com/habitat-sh/habitat/pull/6154) ([scotthain](https://github.com/scotthain))
- Configure rustfmt [#6134](https://github.com/habitat-sh/habitat/pull/6134) ([raskchanky](https://github.com/raskchanky))
- s/instaled/installed/ in the Install hook docs [#6164](https://github.com/habitat-sh/habitat/pull/6164) ([jeremymv2](https://github.com/jeremymv2))
- windows-service, welcome to the mono repo! [#6162](https://github.com/habitat-sh/habitat/pull/6162) ([mwrock](https://github.com/mwrock))
- use native deps for windows launcher [#6161](https://github.com/habitat-sh/habitat/pull/6161) ([mwrock](https://github.com/mwrock))
- Update changelog for 0.75.0 release [#6159](https://github.com/habitat-sh/habitat/pull/6159) ([smacfarlane](https://github.com/smacfarlane))

